This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457916 - (lmbench) Review Request: lmbench - lmbench benchmark tools
Review Request: lmbench - lmbench benchmark tools
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-08-05 09:02 EDT by Kevin Verma
Modified: 2009-11-05 05:12 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 12:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2008-08-05 09:02:33 EDT
Spec URL: http://kevinverma.fedorapeople.org/packages/lmbench/3.0a7/lmbench.spec
SRPM URL: http://kevinverma.fedorapeople.org/packages/lmbench/3.0a7/lmbench-3.0a7-7.fc9.src.rpm

Description: lmbench is a series of micro benchmarks intended to measure basic operating system and hardware system metrics. The benchmarks fall into three general classes: bandwidth, latency, and "other".
Comment 1 Kevin Verma 2008-08-05 09:04:21 EDT
I am a new contributor and I am seeking a sponsor.
Comment 2 Parag AN(पराग) 2008-08-07 02:13:31 EDT
First you should look into
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

You need to do 2 things
1) submit some more packages with enough packaging quality.
2) start doing pre-reviews of packages from queue http://fedoraproject.org/PackageReviewStatus/NEW.html
  Note that as you are not sponsored yet, you should only do unoffcial pre-reviews where you only comments review and can not able to accept package.
  This will ensure that you have got sufficient understanding of rpm packaging and also review process.
  Don't forget to comment bug numbers here when you do some pre-reviews.

Take help of following links while posting reviews.
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 3 Eric Sandeen 2008-08-11 22:13:45 EDT
I'm glad to see this!  I hope lmdd will be part of the package; if so can you make sure that it properly picks up the O_DIRECT #define so that direct IO is possible?  I've had trouble with that in the past.

Thanks,
-Eric
Comment 4 Eric Sandeen 2008-09-23 16:44:42 EDT
looks like it's not picking up the O_DIRECT define ...

also inthe packages above, all the man pages are landing in /usr/share/doc/lmbench-3.0a7/doc/ - not really where man pages should go.

-Eric
Comment 5 Mamoru TASAKA 2008-11-03 11:08:58 EST
What is the status of this bug?
Comment 6 Mamoru TASAKA 2008-12-10 10:37:04 EST
Again, ping, anyone?
Comment 7 Jon Ciesla 2008-12-10 10:50:22 EST
I'm reviewing:
https://bugzilla.redhat.com/show_bug.cgi?id=457917
and had offered to sponsor.

And he's unresponsive there too since October.

I say we close both.  Mamoru, thoughts?
Comment 8 Eric Sandeen 2008-12-10 12:37:31 EST
I'll take lmbench if it looks like this'll get dropped.

-Eric
Comment 9 Eric Sandeen 2009-02-14 16:49:26 EST
Ok, I'll take this one.  Clearing the needsponsor blocker.  I'll take a look at the proposed spec & srpm this weekend if I can.
Comment 10 Eric Sandeen 2009-02-14 17:03:05 EST
Hm, COPYING-2 in the tarball says:

========
                       
The set of programs and documentation known as "lmbench" are distributed
under the Free Software Foundation's General Public License with the
following additional restrictions (which override any conflicting
restrictions in the GPL): 
 
1. You may not distribute results in any public forum, in any publication,
   or in any other way if you have modified the benchmarks.

2. You may not distribute the results for a fee of any kind.  This includes
   web sites which generate revenue from advertising. 

If you have modifications or enhancements that you wish included in
future versions, please mail those to me, Larry McVoy, at lm@bitmover.com.

========

spot, can we ship this?

Thanks,
-Eric
Comment 11 Tom "spot" Callaway 2009-02-16 12:12:06 EST
(In reply to comment #10)

> spot, can we ship this?

Nope. Those use restrictions clearly make lmbench non-free.
Comment 12 Eric Sandeen 2009-02-16 12:21:45 EST
Thanks Spot, thought so but wanted the official word. :)
Comment 13 Thorsten Leemhuis 2009-11-05 05:12:41 EST
Eric, do you still have a spec file for lmbench or even maintain one privately? I tend to think it might be nice to have lmbench as package in a well known 3rd party repo for Fedora / EL ;-)

Note You need to log in before you can comment on or make changes to this bug.